PluginJAR.PluginCacheEntry (jEdit API Documentation)
Date: 2015-10-20

org.gjt.sp.jedit

## Class PluginJAR.PluginCacheEntry

- java.lang.Object
- - org.gjt.sp.jedit.PluginJAR.PluginCacheEntry

- Enclosing class:
    PluginJAR

      public static class PluginJAR.PluginCacheEntry
      extends java.lang.Object

  Used by the `DockableWindowManager` and `ServiceManager` to handle caching.
  Since:
    jEdit 4.2pre1

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.net.URL` | `actionsURI`
    `java.net.URL` | `browserActionsURI`
    `java.lang.String[]` | `cachedActionNames`
    `boolean[]` | `cachedActionToggleFlags`
    `java.lang.String[]` | `cachedBrowserActionNames`
    `boolean[]` | `cachedBrowserActionToggleFlags`
    `boolean[]` | `cachedDockableActionFlags`
    `boolean[]` | `cachedDockableMovableFlags`
    `java.lang.String[]` | `cachedDockableNames`
    `java.util.Properties` | `cachedProperties`
    `java.lang.String[]` | `classes`
    `java.net.URL` | `dockablesURI`
    `java.util.Map<java.lang.String,java.util.Properties>` | `localizationProperties`
    `static int` | `MAGIC`
    `long` | `modTime`
    `PluginJAR` | `plugin`
    `java.lang.String` | `pluginClass`
    `java.lang.String[]` | `resources`
    `java.net.URL` | `servicesURI`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PluginCacheEntry()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `read(java.io.DataInputStream din)`
    `void` | `write(java.io.DataOutputStream dout)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MAGIC

          public static final int MAGIC

      See Also:
        Constant Field Values

    - #### plugin

          public PluginJAR plugin

    - #### modTime

          public long modTime

    - #### classes

          public java.lang.String[] classes

    - #### resources

          public java.lang.String[] resources

    - #### actionsURI

          public java.net.URL actionsURI

    - #### cachedActionNames

          public java.lang.String[] cachedActionNames

    - #### cachedActionToggleFlags

          public boolean[] cachedActionToggleFlags

    - #### browserActionsURI

          public java.net.URL browserActionsURI

    - #### cachedBrowserActionNames

          public java.lang.String[] cachedBrowserActionNames

    - #### cachedBrowserActionToggleFlags

          public boolean[] cachedBrowserActionToggleFlags

    - #### dockablesURI

          public java.net.URL dockablesURI

    - #### cachedDockableNames

          public java.lang.String[] cachedDockableNames

    - #### cachedDockableActionFlags

          public boolean[] cachedDockableActionFlags

    - #### cachedDockableMovableFlags

          public boolean[] cachedDockableMovableFlags

    - #### servicesURI

          public java.net.URL servicesURI

    - #### cachedProperties

          public java.util.Properties cachedProperties

    - #### localizationProperties

          public java.util.Map<java.lang.String,java.util.Properties> localizationProperties

    - #### pluginClass

          public java.lang.String pluginClass

  - ### Constructor Detail

    - #### PluginCacheEntry

          public PluginCacheEntry()

  - ### Method Detail

    - #### read

          public boolean read(java.io.DataInputStream din)
                       throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### write

          public void write(java.io.DataOutputStream dout)
                     throws java.io.IOException

      Throws:
        `java.io.IOException`